# Verify Connection

Once the network setup is complete, you need to check the connectivity to ensure the network is running properly.

### Install Tools

Begin by installing the frontend tools:

```sh
sudo npm install -g @arcologynetwork/frontend-tools
```

### Check Network Status

{% tabs %}
{% tab title="Arcology Alone" %}
If the Arcology network is deployed as an **L1** and the node is operating at `192.168.1.108` with the RPC port set to `8545`:

```sh
npx arcology.net-monitor http://192.168.1.108:8545
```

{% endtab %}

{% tab title="L2 Rollup Mode" %}
If the **Ethereum L1 node** is running at`192.168.1.108`with RPC port `7545`:

```
npx arcology.net-monitor http://192.168.1.108:7545
```

If the Arcology **L2 rollup node** is running at`192.168.1.108`with RPC port `8545`:

```sh
npx arcology.net-monitor http://192.168.1.108:8545
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
The network monitor frequently queries multiple RPC methods, which may impact overall performance.
{% endhint %}

If the network runs as expected, you should see output similar to this:

```sh
height = 37583, empty block, timestamp = 1717291679, maxTps = 0, realtimeTps(1m) = 0
height = 37584, empty block, timestamp = 1717291680, maxTps = 0, realtimeTps(1m) = 0
height = 37585, empty block, timestamp = 1717291681, maxTps = 0, realtimeTps(1m) = 0
height = 37586, empty block, timestamp = 1717291682, maxTps = 0, realtimeTps(1m) = 0
height = 37587, empty block, timestamp = 1717291683, maxTps = 0, realtimeTps(1m) = 0
height = 37588, empty block, timestamp = 1717291684, maxTps = 0, realtimeTps(1m) = 0
height = 37589, empty block, timestamp = 1717291685, maxTps = 0, realtimeTps(1m) = 0
height = 37590, empty block, timestamp = 1717291686, maxTps = 0, realtimeTps(1m) = 0
```

### Run The Examples

The concurrent programming guide includes several examples that you can utilize once the devNet is operational. Please check [the link](broken://spaces/Q4LfmpelZIw0vWz1C66M/pages/3nYOfqfB1kQszmvfamuX) for more information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcology.network/network/getting-started/verify-connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
